Skip to content

Person Colleagues

Find current colleagues of a person at their current company.

GET /api/v1/person/colleagues

Returns current colleagues, meaning other people who currently work at the same company as the given person.

Query parameters

Parameter Type Required Description
id string Yes Kooperativa internal profile ID
page integer No Page number (default: 1)
per_page integer No Results per page (default: 10, max: 50)

Code examples

cURLbash
curl "https://kooperativa.io/api/v1/person/colleagues?id=f9413465-c1b9-4129-ab9f-2234caf971b1" \
  -H "Authorization: Bearer ik_live_..."
JavaScriptjs
const res = await fetch(
  "https://kooperativa.io/api/v1/person/colleagues?id=f9413465-c1b9-4129-ab9f-2234caf971b1",
  { headers: { Authorization: `Bearer ${process.env.KOOPERATIVA_API_KEY}` } }
);
const data = await res.json();

Response

{
  "id": "f9413465-...",
  "company_id": "1035",
  "company_name": "Microsoft",
  "colleagues": [
    {
      "id": "a1b2c3d4-...",
      "full_name": "Brad Smith",
      "current_title": "Vice Chair and President",
      "linkedin_url": "https://www.linkedin.com/in/bradsmith"
    }
  ],
  "total": 231464,
  "page": 1,
  "per_page": 10
}
Navigation

Type to search…

↑↓ navigate↵ selectEsc close